org.apache.jmeter.config

## Class RandomVariableConfig

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.config.ConfigTestElement
    - - org.apache.jmeter.config.RandomVariableConfig

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ConfigElement, LoopIterationListener, NoConfigMerge, NoThreadClone, Searchable, TestBean, TestElement

      public class RandomVariableConfig
      extends ConfigTestElement
      implements TestBean, LoopIterationListener, NoThreadClone, NoConfigMerge

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.config.ConfigTestElement

      `PASSWORD, USERNAME`

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomVariableConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMaximumValue()`
    `java.lang.String` | `getMinimumValue()`
    `java.lang.String` | `getOutputFormat()`
    `boolean` | `getPerThread()`
    `java.lang.String` | `getRandomSeed()`
    `java.lang.String` | `getVariableName()`
    `void` | `iterationStart(LoopIterationEvent iterEvent)` Called when a loop iteration is about to start.
    `void` | `setMaximumValue(java.lang.String maxvalue)`
    `void` | `setMinimumValue(java.lang.String minValue)`
    `void` | `setOutputFormat(java.lang.String outputFormat)`
    `void` | `setPerThread(boolean perThread)`
    `void` | `setRandomSeed(java.lang.String randomSeed)`
    `void` | `setVariableName(java.lang.String variableName)`

    - ### Methods inherited from class org.apache.jmeter.config.ConfigTestElement

      `addConfigElement, addTestElement, expectsModification`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.config.ConfigElement

      `clone`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Constructor Detail

    - #### RandomVariableConfig

          public RandomVariableConfig()

  - ### Method Detail

    - #### iterationStart

          public void iterationStart(LoopIterationEvent iterEvent)

      Called when a loop iteration is about to start.
      Specified by:
        `iterationStart` in interface `LoopIterationListener`
      Parameters:
        `iterEvent` - the event

    - #### getMinimumValue

          public java.lang.String getMinimumValue()

      Returns:
        the minValue

    - #### setMinimumValue

          public void setMinimumValue(java.lang.String minValue)

      Parameters:
        `minValue` - the minValue to set

    - #### getMaximumValue

          public java.lang.String getMaximumValue()

      Returns:
        the maxvalue

    - #### setMaximumValue

          public void setMaximumValue(java.lang.String maxvalue)

      Parameters:
        `maxvalue` - the maxvalue to set

    - #### getVariableName

          public java.lang.String getVariableName()

      Returns:
        the variableName

    - #### setVariableName

          public void setVariableName(java.lang.String variableName)

      Parameters:
        `variableName` - the variableName to set

    - #### getRandomSeed

          public java.lang.String getRandomSeed()

      Returns:
        the randomSeed

    - #### setRandomSeed

          public void setRandomSeed(java.lang.String randomSeed)

      Parameters:
        `randomSeed` - the randomSeed to set

    - #### getPerThread

          public boolean getPerThread()

      Returns:
        the perThread

    - #### setPerThread

          public void setPerThread(boolean perThread)

      Parameters:
        `perThread` - the perThread to set

    - #### getOutputFormat

          public java.lang.String getOutputFormat()

      Returns:
        the outputFormat

    - #### setOutputFormat

          public void setOutputFormat(java.lang.String outputFormat)

      Parameters:
        `outputFormat` - the outputFormat to set

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.